%global enable_tests 0
# Tests require npm(ava), which isn't packaged in Fedora yet

%global module_name got

Name:           nodejs-%{module_name}
Version:        6.7.1
Release:        8%{?dist}
Summary:        Simplified HTTP/HTTPS requests

License:        MIT
URL:            https://github.com/sindresorhus/got
Source0:        https://github.com/sindresorhus/%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(ava)
BuildRequires: npm(create-error-class)
BuildRequires: npm(duplexer3)
BuildRequires: npm(get-stream)
BuildRequires: npm(is-redirect)
BuildRequires: npm(is-retry-allowed)
BuildRequires: npm(is-stream)
BuildRequires: npm(lowercase-keys)
BuildRequires: npm(timed-out)
BuildRequires: npm(decompress-response)
BuildRequires: npm(url-parse-lax)
BuildRequires: npm(into-stream)
BuildRequires: npm(pem)
BuildRequires: npm(safe-buffer)
%endif

%description
Simplified HTTP/HTTPS requests. A nicer interface to the built-in http module.
It also supports following redirects and automagically handling gzip/deflate.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules
%nodejs_fixdep -r unzip-response
%nodejs_fixdep  decompress-response

#Remove following get-stream in next release > 6.6.3
%nodejs_fixdep get-stream
%nodejs_fixdep timed-out 
%nodejs_fixdep url-parse-lax

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
# These tests not working so remove them for now
#rm -f test/test-error.js
#rm -f test/test-arguments.js
#rm -f test/test-https.js
#rm -f test/test-http.js
tap test/test-*.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Mon Feb 26 2018 Jared Smith <jsmith@fedoraproject.org> - 6.7.1-8
- Use npm(decompress-response) instead of npm(unzip-response)

* Wed Feb 21 2018 Jared Smith <jsmith@fedoraproject.org> - 6.7.1-7
- Fix up building, waiting on RHBZ#1547588

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 23 2017 Parag Nemade <pnemade AT redhat DOT com> - 6.7.1-5
- Add back fixdep on url-parse-lax

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 19 2017 Parag Nemade <pnemade AT redhat DOT com> - 6.7.1-3
- Add check for missing dependencies

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 30 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.7.1-1
- Update to 6.7.1 release

* Mon Nov 28 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.6.3-3
- Add back fixdep on get-stream

* Sun Nov 27 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.6.3-2
- Update BuildRequires and remove not needed fixdeps in %%prep

* Tue Nov 08 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.6.3-1
- Update to 6.6.3 release

* Thu Nov 03 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.6.0-1
- Update to 6.6.0 release

* Mon Sep 19 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.5.0-2
- fixdep for npm(timed-out)

* Fri Sep 16 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.5.0-1
- Update to 6.5.0 release

* Sun Apr 10 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.3.0-1
- Update to 6.3.0 release

* Fri Mar  4 2016 Tom Hughes <tom@compton.nu> - 6.2.0-2
- Update npm(get-stream) dependency

* Thu Mar 03 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.2.0-1
- Update to 6.2.0 release

* Mon Feb 29 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.1.2-1
- Update to 6.1.2 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.1.1-1
- Update to 6.1.1

* Tue Jan 19 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.1.0-1
- Update to 6.1.0

* Tue Jan 12 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.0.1-1
- Update to 6.0.1

* Fri Jan 08 2016 Parag Nemade <pnemade AT redhat DOT com> - 6.0.0-1
- Update to 6.0.0

* Mon Dec 21 2015 Parag Nemade <pnemade AT redhat DOT com> - 5.3.0-1
- Update to 5.3.0

* Thu Nov 26 2015 Parag Nemade <pnemade AT redhat DOT com> - 5.1.0-1
- Update to 5.1.0

* Thu Nov 26 2015 Parag Nemade <pnemade AT redhat DOT com> - 4.2.0-2
- fixdep npm(pinkie-promise)

* Fri Sep 11 2015 Parag Nemade <pnemade AT redhat DOT com> - 4.2.0-1
- Update to 4.2.0

* Wed Aug 26 2015 Parag Nemade <pnemade AT redhat DOT com> - 4.1.1-2
- fixdep npm(object-assign)

* Mon Aug 24 2015 Parag Nemade <pnemade AT redhat DOT com> - 4.1.1-1
- Update to 4.1.1

* Thu Jul 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 4.1.0-1
- Update to 4.1.0

* Wed Jul 29 2015 Parag Nemade <pnemade AT redhat DOT com> - 4.0.0-1
- Update to 4.0.0

* Wed Jul 22 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.3.1-2
- fixdep npm(readable-stream)

* Wed Jul 15 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.3.1-1
- Update to 3.3.1

* Fri Jul 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.3.0-1
- Update to 3.3.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.3.2-1
- Update to 2.3.2

* Sun Jan 11 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.3.0-1
- Update to 2.3.0

* Wed Dec 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 2.2.0-1
- Initial packaging

